{% extends 'base.html.twig' %}

{% block body %}
    <table>
        <th colspan="2">Showcase details</th>
        {% if info.headline|default %}
            <tr>
                <td width="100">Headline</td><td>{{ info.headline }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.body|default %}
            <tr>
                <td>Body</td><td>{{ info.body }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.cert|default %}
            <tr>
                <td>Cert</td><td>{{ info.cert }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.duration|default %}
            <tr>
                <td>Duration</td><td>{{ info.duration }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.id|default %}
            <tr>
                <td>Id</td><td>{{ info.id }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.last_updated|default %}
            <tr>
                <td>Last updated</td><td>{{ info.last_updated }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.quote|default %}
            <tr>
                <td>Quote</td><td>{{ info.quote }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.rating|default %}
            <tr>
                <td>Rating</td><td>{{ info.rating }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.sky_go_id|default %}
            <tr>
                <td>SkyGoId</td><td>{{ info.sky_go_id }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.sky_go_url|default %}
            <tr>
                <td>SkyGoUrl</td><td>{{ info.sky_go_url }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.sum|default %}
            <tr>
                <td>Sum</td><td>{{ info.sum }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.synopsis|default %}
            <tr>
                <td>Synopsis</td><td>{{ info.synopsis }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.url|default %}
            <tr>
                <td>Url</td><td>{{ info.url }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.year|default %}
            <tr>
                <td>Year</td><td>{{ info.year }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.class|default %}
            <tr>
                <td>Class</td><td>{{ info.class }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.sg_id|default %}
            <tr>
                <td>Sgid</td><td>{{ info.sgid }}</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
        {% endif %}
        {% if info.sg_url|default %}
            <tr>
                <td>SgUrl</td><td>{{ info.sgurl }}</td>
            </tr>
        {% endif %}

        {% if info.getShowcaseGenre()|length > 0 %}
            <tr>
                <td>Genres</td>
                <td>
                    {% for genre in info.getShowcaseGenre() %}
                        {{ genre.getGenre().name }}<br />
                    {% endfor %}
                </td>
            </tr>
        {% endif %}
        {% if cast_list|default|length > 0 %}
            <tr>
                <td>Cast</td>
                <td>
                    {% for people in cast_list %}
                        {{ people }}<br />
                    {% endfor %}
                </td>
            </tr>
        {% endif %}
        {% if directors_list|default|length > 0 %}
            <tr>
                <td>Directors</td>
                <td>
                    {% for people in directors_list %}
                        {{ people }}<br />
                    {% endfor %}
                </td>
            </tr>
        {% endif %}
        {% if review_author|default %}
            <tr>
                <td>Review author</td>
                <td>{{ review_author }}</td>
            </tr>
        {% endif %}

        {% if info.getViewingWindow()|default %}
            <tr>
                <td>Viewing Window</td>
                <td>
                    {% for window in info.getViewingWindow() %}
                        {% if window.getTitle() %}
                            Title: {{ window.getTitle() }}<br />
                        {% endif %}
                        {% if window.getWayToWatch()|default %}
                            Way to watch: {{ window.getWayToWatch() }}<br />
                        {% endif %}
                        {% if window.getStartDate()|default %}
                            Start date: {{ window.getStartDate().format('Y-m-d') }}<br />
                        {% endif %}
                        {% if window.getEndDate()|default %}
                            End date: {{ window.getEndDate().format('Y-m-d') }}<br />
                        {% endif %}
                    {% endfor %}
                </td>
            </tr>
        {% endif %}
        <tr>
            <td>Files</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        {% for file in files %}
            {% if file.info.type == 'cardImages' or file.info.type == 'keyArtImages' %}
                <tr>
                    <td>
                        Image ({{ file.info.type }}):
                    </td>
                    <td>
                        {% if file.exists == true %}
                            <img src="/storage/{{ file.filename }}" />
                            {#<img src="/showcase/file/{{ file.info.id }}" />#}
                        {% else %}
                            File not found on remote server.
                        {% endif %}
                        <br />
                        URL: {{ file.info.url }}
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
            {% endif %}
            {% if file.info.fileType == 'video' and file.info.parent == null %}
                <tr>
                    <td>
                        Video:<br />
                        Title: {{ file.info.title }} <br />
                        Type: {{ file.info.type }}
                    </td>
                    <td>
                        {% if file.exists == true %}
                            <video width="480" height="320" controls="controls">
                                <source src="/storage/{{ file.filename }}" type="video/mp4">
                            </video>
                        {% else %}
                            File not found on remote server.
                        {% endif %}
                        <br />
                        Url: {{ file.info.url }} %}
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
            {% endif %}
            {% if file.info.fileType == 'video' and file.info.parent != null %}
                <tr>
                    <td>
                        Video Alternative:<br />
                        {% if file.info.quality|default %}
                            Quality: {{ file.info.quality }}
                        {% endif %}
                    </td>
                    <td>
                        {% if file.exists == true %}
                            <video width="480" height="320" controls="controls">
                                <source src="/storage/{{ file.filename }}" type="video/mp4">
                            </video>
                        {% else %}
                            File not found on remote server.
                        {% endif %}
                        <br />
                        Url: {{ file.info.url }}
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
            {% endif %}
            {% if file.info.type == 'galleries' %}
                <tr>
                    <td>
                        Gallery<br />
                        Title: {{ file.info.title }} <br />
                        Id: {{ file.info.originalId }}<br />
                        URL: {{ file.info.url }} <br />
                        {% if file.info.thumbnailUrl|default %}
                            Thumbnail: {{ file.info.thumbnailUrl }}
                        {% endif %}
                    </td>
                    <td>
                        {% if file.exists == true %}
                            <video width="480" height="320" controls="controls">
                                <source src="{{ file.info.url }}" type="video/mp4">
                            </video>
                        {% else %}
                            Gallery video not found on remote server.
                        {% endif %}<br />
                        {% if file.info.thumbnailUrl|default %}
                            Thumbnail:
                            {% if file.thumbnailExists == true %}
                                <img src="/storage/{{ file.info.thumbnailFilename }}" />
                            {% else %}
                                Gallery thumbnail not found on remote server.
                            {% endif %}
                        {% endif %}
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>




            {% endif %}

        {% endfor %}

    </table>
{% endblock %}
